Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[PALUDIS] Support thread (current v. 0.26.*) - Part 4
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3 ... 21, 22, 23, 24, 25, 26  Next  
This topic is locked: you cannot edit posts or make replies.    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
slycordinator
Advocate
Advocate


Joined: 31 Jan 2004
Posts: 3059
Location: Korea

PostPosted: Sat Jun 21, 2008 12:38 am    Post subject: Reply with quote

It very well could be that the test in question is enabled by default with or without the "checks" command like variable.

Try using "emerge" with FEATURES="-test" and see if it installs. If it fails on that test you'll know that the test was enabled regardless.
Back to top
View user's profile Send private message
loftwyr
l33t
l33t


Joined: 29 Dec 2004
Posts: 970
Location: 43°38'23.62"N 79°27'8.60"W

PostPosted: Sun Jun 22, 2008 1:23 pm    Post subject: Reply with quote

I was rebuilding my system and after 394 of 1582 packages paludis crashed with the following message:

Code:

Unhandled exception:
  * In program paludis (--log-level warning --dl-reinstall if-use-changed --continue-on-failure if-satisfied --dl-reinstall-scm weekly  --dl-installed-deps-pre pre-or-post --resume-command-template /root/.paludis-resume-XXXXXX) -i everything --dl-reinstall-targets always:                         
  * When performing install action from command line:                                                                                               
  * When executing install task:                                                                                                                     
  * When triggering hook 'install_pre':                                                                                                             
  * When running hook script '/usr/libexec/paludis/hooks/install_pre/log.bash' for hook 'install_pre':                                               
  * When running command 'bash '/usr/libexec/paludis/hooks/install_pre/log.bash'':                                                                   
  * fork failed: Cannot allocate memory (paludis::RunCommandError)   


No resume file was created. I have 2 gig of memory and only 512 meg of swap is used so I'm assuming it was a temporary error.

It had just finished autoconf
Code:

1214139275: starting install of package sys-devel/autoconf-2.13:2.1::gentoo (394 of 1582)
1214139289: finished install of package sys-devel/autoconf-2.13:2.1::gentoo (394 of 1582)


Is there any way to resume the install?
_________________
My emerge --info
Have you run revdep-rebuild lately? It's in gentoolkit and it's worth a shot if things don't work well.
Celebrating 5 years of Gentoo-ing.
Back to top
View user's profile Send private message
civilian
Tux's lil' helper
Tux's lil' helper


Joined: 23 Jan 2007
Posts: 78

PostPosted: Tue Jun 24, 2008 4:19 pm    Post subject: Reply with quote

In make.conf I have:
Code:
LINGUAS="ja en-GB en"

The packages I use, use the order to determine preference, but paludis seems to order them alphabetically.
Any way around this?
Back to top
View user's profile Send private message
Berniyh
l33t
l33t


Joined: 07 Jun 2006
Posts: 677

PostPosted: Tue Jun 24, 2008 4:39 pm    Post subject: Reply with quote

civilian wrote:
In make.conf I have:
Code:
LINGUAS="ja en-GB en"

The packages I use, use the order to determine preference, but paludis seems to order them alphabetically.
Any way around this?

Sounds like a bug in the ebuild.
ebuilds shouldn't rely on the order of that.
Back to top
View user's profile Send private message
civilian
Tux's lil' helper
Tux's lil' helper


Joined: 23 Jan 2007
Posts: 78

PostPosted: Tue Jun 24, 2008 6:26 pm    Post subject: Reply with quote

The particular package is mozilla-firefox.
It selects the language at compile time, so I can't think of another way (or a more convenient way) to select the language.
Back to top
View user's profile Send private message
Berniyh
l33t
l33t


Joined: 07 Jun 2006
Posts: 677

PostPosted: Tue Jun 24, 2008 6:58 pm    Post subject: Reply with quote

civilian wrote:
The particular package is mozilla-firefox.
It selects the language at compile time, so I can't think of another way (or a more convenient way) to select the language.

huh? care to explain? :)
Back to top
View user's profile Send private message
civilian
Tux's lil' helper
Tux's lil' helper


Joined: 23 Jan 2007
Posts: 78

PostPosted: Tue Jun 24, 2008 11:46 pm    Post subject: Reply with quote

Unlike openoffice (where you can change the language at runtime), the mozilla stuff has the language settings set at compile time.
The way the ebuild is set up is as follows:
The ebuild checks the first LINGUAS flag and tries to compile the package with that language.
If the package doesn't support that flag (for instance mozilla-sunbird doesn't yet support en_GB), then it tries the next flag.

Naturally this would cause problems if the flags are reordered alphabetically.

The only other ways I can think of:
-Add an extra place to set the priority of each language.
-Ask the user while emerging (Kind of breaks the autonomy).

The solution used in the ebuild seems to me like the simplest.
Back to top
View user's profile Send private message
Berniyh
l33t
l33t


Joined: 07 Jun 2006
Posts: 677

PostPosted: Wed Jun 25, 2008 2:09 am    Post subject: Reply with quote

civilian wrote:
Unlike openoffice (where you can change the language at runtime), the mozilla stuff has the language settings set at compile time.
The way the ebuild is set up is as follows:
The ebuild checks the first LINGUAS flag and tries to compile the package with that language.
If the package doesn't support that flag (for instance mozilla-sunbird doesn't yet support en_GB), then it tries the next flag.

Naturally this would cause problems if the flags are reordered alphabetically.

The only other ways I can think of:
-Add an extra place to set the priority of each language.
-Ask the user while emerging (Kind of breaks the autonomy).

The solution used in the ebuild seems to me like the simplest.

Eh no.
The mozilla stuff doesn't need the language packages at all at compile time. You can even download and install them yourself. (Yes, the ebuild does it that way, but there is no way to reinstall an ebuild without recompiling it, maybe there should be a mozilla-firefox-l10n ebuild instead.)
And it installs language packages for every language you select, so I fail to see your problem.
Back to top
View user's profile Send private message
civilian
Tux's lil' helper
Tux's lil' helper


Joined: 23 Jan 2007
Posts: 78

PostPosted: Wed Jun 25, 2008 2:39 pm    Post subject: Reply with quote

I can find the place to set language preferences for web content but not for firefox menus and that kind of stuff.
The only way I could change it so far is with the LINGUAS flags.
Back to top
View user's profile Send private message
slycordinator
Advocate
Advocate


Joined: 31 Jan 2004
Posts: 3059
Location: Korea

PostPosted: Wed Jun 25, 2008 3:19 pm    Post subject: Reply with quote

You still hit this bug even if you use "eselect ooditct"

Code:
LINGUAS="en en_US" emerge myspell-en


It'll install a "Queen's English" dictionary and you can't change it in eselect because there's only one dictionary installed.

But if you change the order of those, you'll get a US English dictionary and can't change it to the other even if you wanted (unless again you reinstall myspell-en with the original LINGUAS).
Back to top
View user's profile Send private message
Berniyh
l33t
l33t


Joined: 07 Jun 2006
Posts: 677

PostPosted: Wed Jun 25, 2008 3:46 pm    Post subject: Reply with quote

civilian wrote:
I can find the place to set language preferences for web content but not for firefox menus and that kind of stuff.
The only way I could change it so far is with the LINGUAS flags.

Try Extras->Addons-> Language packs.
Deactivate all of them -> en-US
Activate only one of them to get that language.

slycordinator wrote:
You still hit this bug even if you use "eselect ooditct"

Code:
LINGUAS="en en_US" emerge myspell-en


It'll install a "Queen's English" dictionary and you can't change it in eselect because there's only one dictionary installed.

But if you change the order of those, you'll get a US English dictionary and can't change it to the other even if you wanted (unless again you reinstall myspell-en with the original LINGUAS).

That's a bug then.
Back to top
View user's profile Send private message
loftwyr
l33t
l33t


Joined: 29 Dec 2004
Posts: 970
Location: 43°38'23.62"N 79°27'8.60"W

PostPosted: Wed Jun 25, 2008 11:01 pm    Post subject: Reply with quote

In reference to my out of memory error above, I've just spent the past while reinstalling all packages and have determined that paludis 0.26.2 has a nasty memory leak.

Every 300 to 400 packages, I would get the error above just before it started the next package. While tracking it through top and other tools, I would see that it would be getting to 2gig virtual memory and then crash. I could happily restart it as I was using the output command to a file hook and just edited it down to resume where it died.

I set it to drop caches after each install and that kept it going to 650 packages before it died.

What's a good way to track its memory usage and perhaps report a useful bug to the TRAC?
_________________
My emerge --info
Have you run revdep-rebuild lately? It's in gentoolkit and it's worth a shot if things don't work well.
Celebrating 5 years of Gentoo-ing.
Back to top
View user's profile Send private message
g2g591
Apprentice
Apprentice


Joined: 17 Sep 2007
Posts: 168

PostPosted: Fri Jun 27, 2008 1:26 am    Post subject: Reply with quote

Hello, about a month at least ago I was banned from #paludis because I disagreed with an op (I didn't like his solution and would rather improvise my own) can I be UNbanned yet? I've been having a few different problems and prefer IRC to converse. my irc nick is the same as my forum account.
Back to top
View user's profile Send private message
loftwyr
l33t
l33t


Joined: 29 Dec 2004
Posts: 970
Location: 43°38'23.62"N 79°27'8.60"W

PostPosted: Sun Jun 29, 2008 4:00 pm    Post subject: Reply with quote

The removal of virtual/motif is causing a large problem in my system as all of the formerly dependent packages are still marked as dependent and it's causing the dependency tree to lose it's mind.

Is there a fast way to find out what's dependent on the now non-existent package and re-install them?

especially the virtuals?
_________________
My emerge --info
Have you run revdep-rebuild lately? It's in gentoolkit and it's worth a shot if things don't work well.
Celebrating 5 years of Gentoo-ing.
Back to top
View user's profile Send private message
slycordinator
Advocate
Advocate


Joined: 31 Jan 2004
Posts: 3059
Location: Korea

PostPosted: Sun Jun 29, 2008 4:13 pm    Post subject: Reply with quote

A quick and dirty way would be:

Code:
cd /var/db/pkg
for x in */* ; do [[ "`grep virtual/motif $x/*.ebuild`" != "" ]] && echo $x; done


Though, why should things be screwing up? Openmotif provides that virtual.
Back to top
View user's profile Send private message
loftwyr
l33t
l33t


Joined: 29 Dec 2004
Posts: 970
Location: 43°38'23.62"N 79°27'8.60"W

PostPosted: Sun Jun 29, 2008 4:21 pm    Post subject: Reply with quote

virtual/motif has been removed from portage due to openmotif being the only package that actually provides it.

https://bugs.gentoo.org/show_bug.cgi?id=224749
_________________
My emerge --info
Have you run revdep-rebuild lately? It's in gentoolkit and it's worth a shot if things don't work well.
Celebrating 5 years of Gentoo-ing.
Back to top
View user's profile Send private message
Berniyh
l33t
l33t


Joined: 07 Jun 2006
Posts: 677

PostPosted: Sun Jun 29, 2008 5:25 pm    Post subject: Reply with quote

loftwyr wrote:
The removal of virtual/motif is causing a large problem in my system as all of the formerly dependent packages are still marked as dependent and it's causing the dependency tree to lose it's mind.

Is there a fast way to find out what's dependent on the now non-existent package and re-install them?

especially the virtuals?

reconcilio?
Back to top
View user's profile Send private message
loftwyr
l33t
l33t


Joined: 29 Dec 2004
Posts: 970
Location: 43°38'23.62"N 79°27'8.60"W

PostPosted: Sun Jun 29, 2008 11:00 pm    Post subject: Reply with quote

Tried that, it didn't seem to work as it isn't a library failure.

I ended up up just letting a -u world fail and then scrolled back through all the errors.
_________________
My emerge --info
Have you run revdep-rebuild lately? It's in gentoolkit and it's worth a shot if things don't work well.
Celebrating 5 years of Gentoo-ing.
Back to top
View user's profile Send private message
slycordinator
Advocate
Advocate


Joined: 31 Jan 2004
Posts: 3059
Location: Korea

PostPosted: Sun Jun 29, 2008 11:23 pm    Post subject: Reply with quote

All you had to do was run the script I posted earlier. Then it'll give you a list looking like:
category/packagename-versionnumber

And so you just reinstall the stuff that's in the list which will recreate the ebuild in /var/db/pkg to be like the one that's in the tree. So no more errors relating to this.
Back to top
View user's profile Send private message
placematts
n00b
n00b


Joined: 15 Jul 2007
Posts: 2

PostPosted: Thu Jul 03, 2008 12:06 am    Post subject: Reply with quote

tranquilcool wrote:
* In program /usr/bin/paludis -s local:
* When making environment from specification '':
* When loading paludis environment:
* When adding a repository named 'qt44dev':
* A repository named 'qt44dev' already exists (paludis::DuplicateRepositoryError)

help to get rid of the errors.
can' sync my local.conf anymore since i added qt44dev to the repositories.
don't know why my local.conf (/usr/local/portage) should be qt44dev.


I haven't completely fixed the DuplicateRepositoryError yet (still working on it), but I remembered reading your post and I thought you might like a response from someone anyway.

Simply move any repository config files that depend on the gentoo repository, from /etc/paludis/repositories (to some safe location) and resync. So something like this...

Code:

mv /etc/paludis/repositories/foo.conf ~/
paludis --sync


When I get around to fixing the problem I'll post back here. Hope this helps!
Back to top
View user's profile Send private message
a.b.
Apprentice
Apprentice


Joined: 23 Mar 2008
Posts: 218
Location: Anus Mundi, Germany

PostPosted: Mon Jul 07, 2008 4:45 pm    Post subject: Reply with quote

Paludis (v0.26.2) has suddenly started to eat insane amounts of memory on my machine. After a few seconds, it's filled and swapping makes my system absolutely unresponsive. It doesn't seem to do anything except wasting my RAM. That happens with every command, includeing --version and the like. What's wrong?

EDIT: I found the problem, and it's a strange one. "/usr/bin/paludis" works but "paludis doesn't" 8O
Back to top
View user's profile Send private message
loftwyr
l33t
l33t


Joined: 29 Dec 2004
Posts: 970
Location: 43°38'23.62"N 79°27'8.60"W

PostPosted: Tue Jul 08, 2008 1:43 am    Post subject: Reply with quote

I've just updated to paludis-0.28.0 and I've run into a snag

the find_unused_distfiles.rb no longer works:
Code:

/usr/lib64/ruby/site_ruby/1.8/x86_64-linux/Paludis.so: libpaludisnoconfigenvironment.so.26: cannot open shared object file: No such file or directory - /usr/lib64/ruby/site_ruby/1.8/x86_64-linux/Paludis.so (LoadError)
        from ./find_unused_distfiles.rb:4


It's true, no such file exists on my machine. What should I do about this?

(p.s., should I have started a new thread for the new version?)
_________________
My emerge --info
Have you run revdep-rebuild lately? It's in gentoolkit and it's worth a shot if things don't work well.
Celebrating 5 years of Gentoo-ing.
Back to top
View user's profile Send private message
mikkoc
Apprentice
Apprentice


Joined: 24 May 2007
Posts: 231

PostPosted: Tue Jul 08, 2008 6:14 am    Post subject: Reply with quote

loftwyr wrote:
I've just updated to paludis-0.28.0 and I've run into a snag

the find_unused_distfiles.rb no longer works:
Code:

/usr/lib64/ruby/site_ruby/1.8/x86_64-linux/Paludis.so: libpaludisnoconfigenvironment.so.26: cannot open shared object file: No such file or directory - /usr/lib64/ruby/site_ruby/1.8/x86_64-linux/Paludis.so (LoadError)
        from ./find_unused_distfiles.rb:4


It's true, no such file exists on my machine. What should I do about this?


see this http://trac.pioto.org/paludis/ticket/614
Back to top
View user's profile Send private message
StifflerStealth
l33t
l33t


Joined: 03 Jul 2002
Posts: 968

PostPosted: Sat Jul 12, 2008 11:19 am    Post subject: Reply with quote

In the resume script, a package line looks something like this:
'package;=dev-libs/libtasn1-1.4:0::gentoo;installed;has_all_deps;P'

What can I change that "has_all_deps" to to make it recalculate it's dependencies, because there are some packages that I need to recalculate for, but not all?

Thanks.
_________________
Nothing to read in this sig. Move along.
Back to top
View user's profile Send private message
NetCutter
n00b
n00b


Joined: 26 Mar 2007
Posts: 25
Location: Bulgaria

PostPosted: Sun Jul 13, 2008 1:27 pm    Post subject: Reply with quote

I can' t update paludis to 0.28 :(

Here is the output:
Code:
 
creating man-inquisitio
./man-inquisitio > inquisitio.1
make[5]: Leaving directory `/var/tmp/paludis/sys-apps-paludis-0.28.0/work/paludis-0.28.0/src/clients/inquisitio'
make[4]: Leaving directory `/var/tmp/paludis/sys-apps-paludis-0.28.0/work/paludis-0.28.0/src/clients/inquisitio'
Making all in instruo
make[4]: Entering directory `/var/tmp/paludis/sys-apps-paludis-0.28.0/work/paludis-0.28.0/src/clients/instruo'
Making all in .
make[5]: Entering directory `/var/tmp/paludis/sys-apps-paludis-0.28.0/work/paludis-0.28.0/src/clients/instruo'
i686-pc-linux-gnu-g++ -DSYSCONFDIR=\"/etc\" -DDATADIR=\"/usr/share\" -DLIBEXECDIR=\"/usr/libexec\" -DLIBDIR=\"/usr/lib\" -I. -I../../.. -I../../.. -I../../../src -DPALUDIS_HAVE_EXTERN_TEMPLATE=1 -Wall -Wextra -Wold-style-cast -Wredundant-decls -Wstrict-null-sentinel -Wmissing-noreturn -Woverloaded-virtual -Winit-self -Wunused -Wunused-function -Wshadow -Wwrite-strings -Wfloat-equal -marchrescott -O2 -pipe -fomit-frame-pointer -MT command_line.o -MD -MP -MF .deps/command_line.Tpo -c -o command_line.o command_line.cc
mv -f .deps/command_line.Tpo .deps/command_line.Po
i686-pc-linux-gnu-g++ -DSYSCONFDIR=\"/etc\" -DDATADIR=\"/usr/share\" -DLIBEXECDIR=\"/usr/libexec\" -DLIBDIR=\"/usr/lib\" -I. -I../../.. -I../../.. -I../../../src -DPALUDIS_HAVE_EXTERN_TEMPLATE=1 -Wall -Wextra -Wold-style-cast -Wredundant-decls -Wstrict-null-sentinel -Wmissing-noreturn -Woverloaded-virtual -Winit-self -Wunused -Wunused-function -Wshadow -Wwrite-strings -Wfloat-equal -marchrescott -O2 -pipe -fomit-frame-pointer -MT instruo.o -MD -MP -MF .deps/instruo.Tpo -c -o instruo.o instruo.cc
mv -f .deps/instruo.Tpo .deps/instruo.Po
/bin/sh ../../../libtool --tag=CXX --mode=link i686-pc-linux-gnu-g++ -I../../.. -I../../../src -DPALUDIS_HAVE_EXTERN_TEMPLATE=1 -Wall -Wextra -Wold-style-cast -Wredundant-decls -Wstrict-null-sentinel -Wmissing-noreturn -Woverloaded-virtual -Winit-self -Wunused -Wunused-function -Wshadow -Wwrite-strings -Wfloat-equal -marchrescott -O2 -pipe -fomit-frame-pointer -Wl,-O1 -o instruo command_line.o instruo.o ../../../paludis/libpaludis.la ../../../paludis/args/libpaludisargs.la ../../../paludis/util/libpaludisutil.la ../../../paludis/environments/no_config/libpaludisnoconfigenvironment.la ../../../src/output/liboutput.a -ldl
mkdir .libs
i686-pc-linux-gnu-g++ -I../../.. -I../../../src -DPALUDIS_HAVE_EXTERN_TEMPLATE=1 -Wall -Wextra -Wold-style-cast -Wredundant-decls -Wstrict-null-sentinel -Wmissing-noreturn -Woverloaded-virtual -Winit-self -Wunused -Wunused-function -Wshadow -Wwrite-strings -Wfloat-equal -marchrescott -O2 -pipe -fomit-frame-pointer -Wl,-O1 -o .libs/instruo command_line.o instruo.o ../../../paludis/.libs/libpaludis.so ../../../paludis/args/.libs/libpaludisargs.so ../../../paludis/util/.libs/libpaludisutil.so ../../../paludis/environments/no_config/.libs/libpaludisnoconfigenvironment.so /var/tmp/paludis/sys-apps-paludis-0.28.0/work/paludis-0.28.0/paludis/.libs/libpaludis.so /var/tmp/paludis/sys-apps-paludis-0.28.0/work/paludis-0.28.0/paludis/selinux/.libs/libpaludisselinux.so /var/tmp/paludis/sys-apps-paludis-0.28.0/work/paludis-0.28.0/paludis/util/.libs/libpaludisutil.so ../../../src/output/liboutput.a -ldl -Wl,--rpath -Wl,/usr/lib/paludis/environments/
creating instruo
i686-pc-linux-gnu-g++ -DSYSCONFDIR=\"/etc\" -DDATADIR=\"/usr/share\" -DLIBEXECDIR=\"/usr/libexec\" -DLIBDIR=\"/usr/lib\" -I. -I../../.. -I../../.. -I../../../src -DPALUDIS_HAVE_EXTERN_TEMPLATE=1 -Wall -Wextra -Wold-style-cast -Wredundant-decls -Wstrict-null-sentinel -Wmissing-noreturn -Woverloaded-virtual -Winit-self -Wunused -Wunused-function -Wshadow -Wwrite-strings -Wfloat-equal -marchrescott -O2 -pipe -fomit-frame-pointer -MT man_instruo.o -MD -MP -MF .deps/man_instruo.Tpo -c -o man_instruo.o man_instruo.cc
mv -f .deps/man_instruo.Tpo .deps/man_instruo.Po
/bin/sh ../../../libtool --tag=CXX --mode=link i686-pc-linux-gnu-g++ -I../../.. -I../../../src -DPALUDIS_HAVE_EXTERN_TEMPLATE=1 -Wall -Wextra -Wold-style-cast -Wredundant-decls -Wstrict-null-sentinel -Wmissing-noreturn -Woverloaded-virtual -Winit-self -Wunused -Wunused-function -Wshadow -Wwrite-strings -Wfloat-equal -marchrescott -O2 -pipe -fomit-frame-pointer -Wl,-O1 -o man-instruo man_instruo.o command_line.o ../../../paludis/args/libpaludisargs.la ../../../paludis/args/libpaludisman.a ../../../paludis/util/libpaludisutil.la ../../../paludis/libpaludismanpagethings.la ../../../src/output/liboutput.a -ldl
i686-pc-linux-gnu-g++ -I../../.. -I../../../src -DPALUDIS_HAVE_EXTERN_TEMPLATE=1 -Wall -Wextra -Wold-style-cast -Wredundant-decls -Wstrict-null-sentinel -Wmissing-noreturn -Woverloaded-virtual -Winit-self -Wunused -Wunused-function -Wshadow -Wwrite-strings -Wfloat-equal -marchrescott -O2 -pipe -fomit-frame-pointer -Wl,-O1 -o .libs/man-instruo man_instruo.o command_line.o ../../../paludis/args/.libs/libpaludisargs.so /var/tmp/paludis/sys-apps-paludis-0.28.0/work/paludis-0.28.0/paludis/.libs/libpaludis.so /var/tmp/paludis/sys-apps-paludis-0.28.0/work/paludis-0.28.0/paludis/selinux/.libs/libpaludisselinux.so ../../../paludis/args/libpaludisman.a ../../../paludis/util/.libs/libpaludisutil.so ../../../paludis/.libs/libpaludismanpagethings.a /var/tmp/paludis/sys-apps-paludis-0.28.0/work/paludis-0.28.0/paludis/util/.libs/libpaludisutil.so ../../../src/output/liboutput.a -ldl
creating man-instruo
./man-instruo > instruo.1
make[5]: Leaving directory `/var/tmp/paludis/sys-apps-paludis-0.28.0/work/paludis-0.28.0/src/clients/instruo'
make[4]: Leaving directory `/var/tmp/paludis/sys-apps-paludis-0.28.0/work/paludis-0.28.0/src/clients/instruo'
Making all in paludis
make[4]: Entering directory `/var/tmp/paludis/sys-apps-paludis-0.28.0/work/paludis-0.28.0/src/clients/paludis'
Making all in .
make[5]: Entering directory `/var/tmp/paludis/sys-apps-paludis-0.28.0/work/paludis-0.28.0/src/clients/paludis'
i686-pc-linux-gnu-g++ -DSYSCONFDIR=\"/etc\" -DDATADIR=\"/usr/share\" -DLIBEXECDIR=\"/usr/libexec\" -DLIBDIR=\"/usr/lib\" -DPYTHONINSTALLDIR=\"/usr/lib/python2.5/site-packages\" -DRUBYINSTALLDIR=\"/usr/lib/ruby/site_ruby/1.8/i686-linux\" -I. -I../../.. -I../../.. -I../../../src -DPALUDIS_HAVE_EXTERN_TEMPLATE=1 -Wall -Wextra -Wold-style-cast -Wredundant-decls -Wstrict-null-sentinel -Wmissing-noreturn -Woverloaded-virtual -Winit-self -Wunused -Wunused-function -Wshadapplets.cc:457: fatal error: opening dependency file .deps/applets.Tpo: Permission deniedame-pointer -MT applets.o -MD -MP -MF .deps/applets.Tpo -c -o appletcompilation terminated.
The bug is not reproducible, so it is likely a hardware or OS problem.
make[5]: *** [applets.o] Error 1
make[5]: Leaving directory `/var/tmp/paludis/sys-apps-paludis-0.28.0/work/paludis-0.28.0/src/clients/paludis'
make[4]: *** [all-recursive] Error 1
make[4]: Leaving directory `/var/tmp/paludis/sys-apps-paludis-0.28.0/work/paludis-0.28.0/src/clients/paludis'
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory `/var/tmp/paludis/sys-apps-paludis-0.28.0/work/paludis-0.28.0/src/clients'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/var/tmp/paludis/sys-apps-paludis-0.28.0/work/paludis-0.28.0/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/paludis/sys-apps-paludis-0.28.0/work/paludis-0.28.0'
make: *** [all] Error 2
!!! ERROR in sys-apps/paludis-0.28.0:
!!! In src_compile at line 3678
!!! emake failed
!!! Call stack:
!!! * src_compile (/var/tmp/paludis/sys-apps-paludis-0.28.0/temp/loadsaveenv:367
!!! * ebuild_f_compile (/usr/libexec/paludis/0/src_compile.bash:49)
!!! * ebuild_main (/usr/libexec/paludis/ebuild.bash:460)
!!! * main (/usr/libexec/paludis/ebuild.bash:479)
diefunc: making ebuild PID 7104 exit with error
die trap: exiting with error.
Install error:
* In program paludis (--checks none --dl-reinstall if-use-changed) --log-level qa --install --add-to-world-spec ( kde-base/libplasma kde-base/plasma-apps kde-misc/playground-plasma kde-base/kdeplasma-addons ) --serialised 0.25 package;=sys-apps/paludis-0.28.0:0::gentoo;installed;has_all_deps;P package;=kde-base/libplasma-scm:kde-svn::kde4-experimental;installed;has_all_deps;P package;=kde-base/plasma-apps-scm:kde-svn::kde4-experimental;installed;has_all_deps;P package;=app-misc/strigi-scm:0::kde4-experimental;installed;has_all_deps;P package;=kde-misc/playground-plasma-scm:kde-svn::kde4-experimental;installed;has_all_deps;P package;=kde-base/kdeplasma-addons-scm:kde-svn::kde4-experimental;installed;has_all_deps;P:
* When performing install action from command line:
* When executing install task:
* When installing 'sys-apps/paludis-0.28.0:0::gentoo':
* Install error: Install failed for 'sys-apps/paludis-0.28.0:0::gentoo'


Summary of failures:
* sys-apps/paludis-0.28.0:0::gentoo: failure
Total: 6 packages, 0 successes, 0 skipped, 1 failure, 5 unreached
Resume command: paludis --log-level qa --install --add-to-world-spec '( kde-base/libplasma kde-base/plasma-apps kde-misc/playground-plasma kde-base/kdeplasma-addons )' --serialised 0.25 'package;=sys-apps/paludis-0.28.0:0::gentoo;installed;has_all_deps;P' 'package;=kde-base/libplasma-scm:kde-svn::kde4-experimental;installed;has_all_deps;P' 'package;=kde-base/plasma-apps-scm:kde-svn::kde4-experimental;installed;has_all_deps;P' 'package;=app-misc/strigi-scm:0::kde4-experimental;installed;has_all_deps;P' 'package;=kde-misc/playground-plasma-scm:kde-svn::kde4-experimental;installed;has_all_deps;P' 'package;=kde-base/kdeplasma-addons-scm:kde-svn::kde4-experimental;installed;has_all_deps;P'
* No unread news items found
* Searching for configuration files requiring action...
* No configuration file updates required
gentoo nc #


And here is the paludis --info:
Code:
nc@gentoo ~ $ paludis --info
paludis 0.26.2
Paludis build information:
    Compiler:
        CXX:                   i686-pc-linux-gnu-g++ 4.2.3 (Gentoo 4.2.3 p1.0)
        CXXFLAGS:              -march=prescott -O2 -pipe -fomit-frame-pointer
        LDFLAGS:               
        DATE:                  2008-05-30T13:54:03+0300

    Libraries:
        C++ Library:           GNU libstdc++ 20080201

    Reduced Privs:
        reduced_uid:           1000
        reduced_uid->name:     nc
        reduced_uid->dir:      /home/nc
        reduced_gid:           100
        reduced_gid->name:     users

    Paths:
        DATADIR:               /usr/share
        LIBDIR:                /usr/lib
        LIBEXECDIR:            /usr/libexec
        SYSCONFDIR:            /etc
        PYTHONINSTALLDIR:      /usr/lib/python2.4/site-packages
        RUBYINSTALLDIR:        /usr/lib/ruby/site_ruby/1.8/i686-linux

Repository virtuals:
    format:                    virtuals

Repository installed-virtuals:
    format:                    installed_virtuals
    root:                      /

Repository gentoo:
    format:                    ebuild
    location:                  /usr/paludis
    append_repository_name_to_write_cache: true
    binary_destination:        false
    binary_keywords:           
    binary_uri_prefix:         
    builddir:                  /var/tmp/paludis
    cache:                     /usr/paludis/metadata/cache
    distdir:                   /usr/paludis/distfiles
    eapi_when_unknown:         0
    eapi_when_unspecified:     0
    eclassdirs:                /usr/paludis/eclass
    ignore_deprecated_profiles: false
    layout:                    traditional
    names_cache:               /usr/paludis/.cache/names
    newsdir:                   /usr/paludis/metadata/news
    profile_eapi:              0
    profiles:                  /usr/paludis/profiles/default/linux/x86/2008.0
    securitydir:               /usr/paludis/metadata/glsa
    setsdir:                   /usr/paludis/sets
    sync:                      rsync://rsync.gentoo.bg/gentoo-portage/
    sync_options:             
    use_manifest:              use
    write_cache:               /var/cache/paludis/metadata

    Package information:
        app-admin/eselect-compiler: (none)
        app-shells/bash:       3.2_p33
        dev-java/java-config:  1.3.7 2.1.6-r1
        dev-lang/python:       2.4.4-r13 2.5.2-r5
        dev-python/pycrypto:   2.0.1-r6
        dev-util/ccache:       2.4-r7
        dev-util/confcache:    (none)
        sys-apps/baselayout:   1.12.11.1
        sys-apps/openrc:       (none)
        sys-apps/sandbox:      1.2.18.1-r2
        sys-devel/autoconf:    2.13 2.61-r2
        sys-devel/automake:    1.10.1 1.5 1.6.3 1.7.9-r1 1.8.5-r3 1.9.6-r2
        sys-devel/binutils:    2.18-r1
        sys-devel/gcc-config:  1.4.0-r4
        sys-devel/libtool:     1.5.26
        virtual/os-headers:    2.6.23-r3 (for sys-kernel/linux-headers::installed)

Repository installed:
    format:                    vdb
    location:                  /var/db/pkg
    builddir:                  /var/tmp/paludis
    names_cache:               /var/db/pkg/.cache/names
    provides_cache:            /var/db/pkg/.cache/provides
    root:                      /

Repository paludis-extras:
    format:                    ebuild
    location:                  /var/paludis/repositories/paludis-extras
    append_repository_name_to_write_cache: true
    binary_destination:        false
    binary_keywords:           
    binary_uri_prefix:         
    builddir:                  /var/tmp/paludis
    cache:                     /var/empty
    distdir:                   /usr/paludis/distfiles
    eapi_when_unknown:         0
    eapi_when_unspecified:     0
    eclassdirs:                /usr/paludis/eclass /var/paludis/repositories/paludis-extras/eclass
    ignore_deprecated_profiles: false
    layout:                    traditional
    master_repository:         gentoo
    names_cache:               /var/paludis/repositories/paludis-extras/.cache/names
    newsdir:                   /var/paludis/repositories/paludis-extras/metadata/news
    profile_eapi:              0
    profiles:                  /usr/paludis/profiles/default/linux/x86/2008.0
    securitydir:               /var/paludis/repositories/paludis-extras/metadata/glsa
    setsdir:                   /var/paludis/repositories/paludis-extras/sets
    sync:                      rsync://rsync.paludis-extras.org/paludis-extras
    sync_options:             
    use_manifest:              use
    write_cache:               /var/empty

Repository kde4-experimental:
    format:                    ebuild
    location:                  /var/paludis/repositories/kde
    append_repository_name_to_write_cache: true
    binary_destination:        false
    binary_keywords:           
    binary_uri_prefix:         
    builddir:                  /var/tmp/paludis
    cache:                     /var/empty
    distdir:                   /usr/paludis/distfiles
    eapi_when_unknown:         0
    eapi_when_unspecified:     0
    eclassdirs:                /usr/paludis/eclass /var/paludis/repositories/kde/eclass
    ignore_deprecated_profiles: false
    layout:                    traditional
    master_repository:         gentoo
    names_cache:               /var/paludis/repositories/kde/.cache/names
    newsdir:                   /var/paludis/repositories/kde/metadata/news
    profile_eapi:              0
    profiles:                  /usr/paludis/profiles/default/linux/x86/2008.0
    securitydir:               /var/paludis/repositories/kde/metadata/glsa
    setsdir:                   /var/paludis/repositories/kde/sets
    sync:                      git://www2.mailstation.de/git/genkde4svn.git
    sync_options:             
    use_manifest:              use
    write_cache:               /var/cache/paludis/metadata


No packages were specified on the command line, so detailed information is not
available (Paludis can display detailed information for both installed and
installable packages).

nc@gentoo ~ $


I compile it from root. root is in paludisbuild group, also. But it stil returns

fatal error: opening dependency file .deps/applets.Tpo: Permission deniedame-pointer -MT applets.o -MD -MP -MF .deps/applets.Tpo -c -o appletcompilation terminated.
o_0
Back to top
View user's profile Send private message
Display posts from previous:   
This topic is locked: you cannot edit posts or make replies.    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page Previous  1, 2, 3 ... 21, 22, 23, 24, 25, 26  Next
Page 22 of 26

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum